/account-info
GET
/account-info
const url = 'https://gymgym.club/api/auth/account-info';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gymgym.club/api/auth/account-info \ --header 'Authorization: Bearer <token>'Get the account info provided by the provider
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
user
required
object
name
string
email
string
image
string
emailVerified
required
boolean
account
required
object
id
required
string
providerId
required
string
accountId
required
string
data
required
object
key
additional properties
any
Examplegenerated
{ "user": { "name": "example", "email": "example", "image": "example", "emailVerified": true }, "account": { "id": "example", "providerId": "example", "accountId": "example" }, "data": {}}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}